> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Card Deposit Status

> An integrator can use this endpoint to check the status of a deposit

An integrator can use this endpoint to check the status of a card deposit transaction.


## OpenAPI

````yaml GET /api/v3/deposit/card/{reference_id}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/deposit/card/{reference_id}:
    get:
      tags:
        - CARD DEPOSIT
      summary: Get Deposit status
      description: An integrator can use this endpoint to check the status of a deposit
      operationId: DepositCardController_getWithdrawalStatus_api/v3
      parameters:
        - name: reference_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Deposit status retrieved.
                  data:
                    $ref: '#/components/schemas/DepositCheckoutStatusResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    DepositCheckoutStatusResponseDto:
      type: object
      properties:
        status:
          type: string
          description: status
          example: PENDING
        id:
          type: string
          description: id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        amount:
          type: number
          description: amount
          example: 10
        walletId:
          type: string
          description: wallet id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        callbackUrl:
          type: string
          description: callback url
          example: https://example.com
        referenceId:
          type: string
          description: reference id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        referenceNumber:
          type: number
          description: reference number
          example: 1234567890
        createdAt:
          format: date-time
          type: string
          description: created at
          example: '2026-03-02T06:22:24.024Z'
        transactionCost:
          type: number
          description: transaction cost
          example: 10
        transactionAmount:
          type: number
          description: transaction amount
          example: 10
        customerKey:
          type: string
          description: customer key
          example: ''
        initialDepositBalance:
          type: number
          description: initial deposit balance
          example: 10
        finalDepositBalance:
          type: number
          description: final deposit balance
          example: 10
      required:
        - status
        - id
        - amount
        - walletId
        - referenceId
        - referenceNumber
        - createdAt
        - transactionCost
        - transactionAmount
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````